petsc-3.4.2 2013-07-02

# PetscViewerBinaryGetInfoPointer

Extracts the file pointer for the ASCII info file associated with a binary file.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerBinaryGetInfoPointer(PetscViewer viewer,FILE **file)

Not Collective

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

file -file pointer Always returns NULL if not a binary viewer

### Notes

For writable binary PetscViewers, the descriptor will only be valid for the first processor in the communicator that shares the PetscViewer.

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetDescriptor()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages